Skip to content
Start here

List trusted email domains

GET/accounts/{account_id}/email-security/settings/trusted_domains

Lists, searches, and sorts an account’s trusted email domains.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloud Email Security: WriteCloud Email Security: Read
Path ParametersExpand Collapse
account_id: string

Account Identifier

maxLength32
minLength32
Query ParametersExpand Collapse
direction: optional "asc" or "desc"

The sorting direction.

One of the following:
"asc"
"desc"
is_recent: optional boolean
is_similarity: optional boolean
order: optional "pattern" or "created_at"

The field to sort by.

One of the following:
"pattern"
"created_at"
page: optional number

The page number of paginated results.

formatint32
minimum1
pattern: optional string
per_page: optional number

The number of results per page.

formatint32
minimum1
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
result: array of { id, created_at, is_recent, 5 more }
id: number

The unique identifier for the trusted domain.

formatint32
created_at: string
formatdate-time
is_recent: boolean

Select to prevent recently registered domains from triggering a Suspicious or Malicious disposition.

is_regex: boolean
is_similarity: boolean

Select for partner or other approved domains that have similar spelling to your connected domains. Prevents listed domains from triggering a Spoof disposition.

last_modified: string
formatdate-time
pattern: string
maxLength1024
minLength1
comments: optional string
maxLength1024
result_info: { count, page, per_page, total_count }
count: number

Total number of results for the requested service

formatint32
page: number

Current page within paginated list of results

formatint32
per_page: number

Number of results per page of results

formatint32
total_count: number

Total results available without any search parameters

formatint32
success: boolean

List trusted email domains

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/email-security/settings/trusted_domains \
    -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
    -H "X-Auth-Key: $CLOUDFLARE_API_KEY"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": 2401,
      "created_at": "2019-12-27T18:11:19.117Z",
      "is_recent": true,
      "is_regex": true,
      "is_similarity": true,
      "last_modified": "2019-12-27T18:11:19.117Z",
      "pattern": "x",
      "comments": "comments"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": 2401,
      "created_at": "2019-12-27T18:11:19.117Z",
      "is_recent": true,
      "is_regex": true,
      "is_similarity": true,
      "last_modified": "2019-12-27T18:11:19.117Z",
      "pattern": "x",
      "comments": "comments"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  },
  "success": true
}